{%  load static  %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" 
    rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
    <title>Register Page</title>
</head>
<body>
  {% if messages %}
  <ul class="messages">
    {% for message in messages %}
    <li id="error_text" {% if message.tags %} class="text-{{ message.tags }}" {% endif %}> 
      {{ message }} </li>
    {% endfor %}
  </ul>
  {% endif %}
  <p id="error"> </p>
    <div class="container">
        <div class="row">
            <header>
                <div class="row">
                    <div class="logo-row">
                        <!-- <div class="d-flex flex-col align-items-center"> -->
                            <img src="{% static 'images/logo.svg' %}" alt="logo swabIn" width="70" height="85">
                            <h3>Swab.In</h3>
                        <!-- </div> -->
                    </div>
                </div>
              </header>
          <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
            <div class="card border-0 shadow rounded-3 my-5">
              <div class="card-body p-4 p-sm-5">
                <form method="POST" action="{% url 'register' %}" id="registerForm">
                  {% csrf_token %}
                    <div class="form-floating mb-3">
                        <input type="name" class="form-control"  placeholder="your name" name="first_name" required>
                        <label for="floatingInput">Name</label>
                      </div>
                  <div class="form-floating mb-3">
                    <input type="username" class="form-control"  placeholder="username" name="username" required>
                    <label for="floatingInput">Username</label>
                  </div>
                  <div class="form-floating mb-3">
                    <input type="email" class="form-control"  placeholder="name@example.com" name="email" required>
                    <label for="floatingInput">Email</label>
                  </div>
                  <div class="form-floating mb-3">
                    <input type="pekerjaan" class="form-control"  placeholder="pekerjaan kamu" name="pekerjaan" required>
                    <label for="floatingInput">Pekerjaan</label>
                  </div>
                  <div class="form-floating mb-3">
                    <input type="umur" class="form-control"  placeholder="umur kamu" name="umur" required>
                    <label for="floatingInput">Umur</label>
                  </div>
                  <div class="form-floating mb-3">
                    <input type="password" class="form-control" placeholder="Password" name="password1" required>
                    <label for="floatingPassword">Password</label>
                  </div>
                  <div class="form-floating mb-3">
                    <input type="password" class="form-control" placeholder="Repeat your password" name="password2" required>
                    <label for="floatingPassword">Re Password</label>
                  </div>
                  <div class="d-grid">
                    <input class="btn btn-primary btn-login fw-bold" type="submit" value="Register">
                  </div>
                  <br>
                  <div class="row mb-2 px-6"> <small class="font-weight-bold">Sudah punya akun? <a href="/login/">Login</a></small> </div>
                  <hr class="my-4">
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
</body>
<script src="https://code.jquery.com/jquery-3.5.1.js"
        integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc=" crossorigin="anonymous"></script>
        <script> 
                $(document).on('submit', 'registerForm', function(e){
                    e.preventDefault();
                    var name = $('#id_name').val()
                    var username = $('#id_username').val()
                    var email = $('#id_email').val()
                    var pekerjaan = $('#id_pekerjaan').val()
                    var umur = $('#id_umur').val()
                    var password = $('#id_password').val()
                    var re_password = $('#id_re_password').val()
                    
                    // ajax call
                    $.ajax({
                        type: 'POST',
                        url: 'register/',
                        data:{
                            first_name :name,
                            username :username,
                            email :email,
                            pekerjaan :pekerjaan,
                            umur :umur,
                            password1 :password,
                            password2 :re_password,
                            csrfmiddlewaretoken: $('input[name=csrfmiddlewaretoken]').val(),
                        },
                        success:function(response){
                            console.log(response)
                            var error = $(response).find('#error_text')
                            console.log(error);
                            var error_class = $(error).attr('class')
                            console.log(error_class);
                            console.log(error.text())
                            $('#error').addClass(error_class)
                            $('#error').text(error.text())
                        }
                    })
                })
        </script>

</html>